IteratorIterator::getInnerIterator
IteratorIterator::next
IteratorIterator
PHP Manual

# IteratorIterator::key

(PHP 5 >= 5.1.0)

IteratorIterator::key — Get the key of the current element

### Description

public scalar IteratorIterator::key ( void )

Get the key of the current element.

### Parameters

This function has no parameters.

### Return Values

The key of the current element.

### See Also

- IteratorIterator::current() - Get the current value

IteratorIterator::getInnerIterator
IteratorIterator::next
IteratorIterator
PHP Manual